%define modname timezonedb
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A60_%{modname}.ini

Summary:	Timezone Database to be used with PHP's date and time functions
Name:		php-%{modname}
Version:	2010.9
%define subrel 1
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/timezonedb/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	file
Epoch:		3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This extension is a drop-in replacement for the builtin timezone database that
comes with PHP. You should only install this extension in case you need to get
a later version of the timezone database than the one that ships with PHP.

The data that this extension uses comes from the "Olson" database, which is
located at ftp://elsie.nci.nih.gov/pub/.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Jul 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.9-1.1mdv2010.1
- rebuilt for php-5.3.3

* Thu Apr 29 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.9-1mdv2010.1
+ Revision: 540802
- 2010.9 (2010i)

* Tue Mar 30 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.7.1-1mdv2010.1
+ Revision: 529178
- 2010.7.1 (2010g)

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.3-3mdv2010.1
+ Revision: 518813
- remove stray directory

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.3-2mdv2010.1
+ Revision: 514692
- rebuilt for php-5.3.2

* Wed Mar 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.3-1mdv2010.1
+ Revision: 513851
- 2010.3 (2010c)

* Sun Feb 21 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.2-2mdv2010.1
+ Revision: 509094
- rebuild

* Tue Jan 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.2-1mdv2010.1
+ Revision: 496744
- 2010.2

* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2010.1-1mdv2010.1
+ Revision: 495521
- 2010.1

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2009.21-1mdv2010.1
+ Revision: 485299
- 2009.21
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.18-2mdv2010.1
+ Revision: 468094
- rebuilt against php-5.3.1

* Wed Nov 11 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.18-1mdv2010.1
+ Revision: 464624
- 2009.18 (2009r)

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.17-1mdv2010.1
+ Revision: 461167
- 2009.17

* Tue Oct 27 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.16-1mdv2010.0
+ Revision: 459537
- 2009.16 (2009p)

* Wed Oct 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.14-1mdv2010.0
+ Revision: 457247
- 2009.14

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.13-2mdv2010.0
+ Revision: 451224
- rebuild

* Fri Sep 11 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.13-1mdv2010.0
+ Revision: 438271
- 2009.13

* Wed Aug 19 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.12-1mdv2010.0
+ Revision: 418103
- 2009.12

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 3:2009.10-2mdv2010.0
+ Revision: 397622
- Rebuild

* Tue Jul 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3:2009.10-1mdv2010.0
+ Revision: 395956
- 2009.10

* Wed Jan 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2007.11-1mdv2008.1
+ Revision: 140482
- 2007.11

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.10-1mdv2008.1
+ Revision: 114573
- 2007.10

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.9-2mdv2008.1
+ Revision: 107579
- restart apache if needed

* Mon Nov 05 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.9-1mdv2008.1
+ Revision: 106010
- 2007.9

* Sat Oct 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.8-1mdv2008.1
+ Revision: 97905
- 2007.8

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.5-4mdv2008.0
+ Revision: 77464
- rebuilt against php-5.2.4

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.5-3mdv2008.0
+ Revision: 64308
- use the new %%serverbuild macro

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.5-2mdv2008.0
+ Revision: 39391
- use distro conditional -fstack-protector

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.5-1mdv2008.0
+ Revision: 14495
- 2007.5


* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.3-1mdv2007.0
+ Revision: 134199
- Import php-timezonedb

* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2007.3-1mdv2007.1
- initial Mandriva package

